package AOPRolePermissions;

import java.util.ArrayList;
import AOPRolePermissions.Permission.Type;

public class Main
{
	public static void main(String[] args)
	{
		ArrayList<Role> roles = new ArrayList<Role>();
		
		Role adminRole = new Role();
		adminRole.SetName("Admin");
		adminRole.AddPermissions(new Permission("FirstName", Type.All));
		adminRole.AddPermissions(new Permission("LastName", Type.All));
		adminRole.AddPermissions(new Permission("SSN", Type.All));
		adminRole.AddPermissions(new Permission("DriversLicense", Type.All));
		roles.add(adminRole);
		
		Role userRole = new Role();
		userRole.SetName("User");
		userRole.AddPermissions(new Permission("FirstName", Type.Read));
		userRole.AddPermissions(new Permission("LastName", Type.Read));
		userRole.AddPermissions(new Permission("SSN", Type.Read));
		userRole.AddPermissions(new Permission("DriversLicense", Type.Read));
		roles.add(userRole);

		Person p = new Person();
		
		for (Role role : roles)
		{
			FakeSession.Instance.setCurrentRole(role);
			// faked username
			FakeSession.Instance.setCurrentUser(role.GetName() + "1");

			p.setFirstName("John");
			p.setLastName("Johnson");

			System.out.println(p.getFirstName());
			System.out.println(p.getLastName());
		}
	}
}
