package AOPRolePermissions;

import java.util.HashMap;

public class Permissions
{
	private HashMap<String, Permission> List = new HashMap<String, Permission>();

	public HashMap<String, Permission> get()
	{
		return List;
	}

	public void set(HashMap<String, Permission> inList)
	{
		List = inList;
	}

	public boolean can(Permission.Type inType, String inFieldName)
	{
		Permission p = List.get(inFieldName);
		if (p == null)
			return false;
		return p.can(inType);
	}
	
	public void add(Permission inPermission)
	{
		List.put(inPermission.getFieldName(), inPermission);
	}
	
	public void remove(Permission inPermission)
	{
		List.remove(inPermission.getFieldName());
	}
}
