package AOPRolePermissions;

public class Role
{
	// Name
	private String _Name;

	public String GetName()
	{
		return _Name;
	}

	public void SetName(String _Name)
	{
		this._Name = _Name;
	}

	// Permission List
	private Permissions Permissions;

	public Permissions GetPermissions()
	{
		return Permissions;
	}

	public void SetPermissions(Permissions inPermissions)
	{
		Permissions = inPermissions;
	}

	public void AddPermissions(Permission inPermission)
	{
		if (Permissions == null)
			Permissions = new Permissions();
		Permissions.add(inPermission);
	}

	public void AddPermissions(String inFieldName,
			Permission.Type inPermissionType)
	{
		AddPermissions(new Permission(inFieldName, inPermissionType));
	}

	public void RemovePermission(Permission inPermission)
	{
		Permissions.remove(inPermission);
	}
}
